package org.dromara.system.service.school;


import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.school.bo.SysSchoolNameBo;
import org.dromara.system.domain.school.vo.SysSchoolNameVo;
import java.util.Collection;
import java.util.List;

/**
 * 学校名称Service接口
 *
 * @author boman
 * @date 2023-08-21
 */
public interface ISysSchoolNameService {

    /**
     * 查询学校名称
     */
    SysSchoolNameVo queryById(Long schoolNameId);

    /**
     * 查询学校名称列表
     */
    TableDataInfo<SysSchoolNameVo> queryPageList(SysSchoolNameBo bo, PageQuery pageQuery);

    /**
     * 查询学校名称列表
     */
    List<SysSchoolNameVo> queryList(SysSchoolNameBo bo);

    /**
     * 新增学校名称
     */
    Boolean insertByBo(SysSchoolNameBo bo);

    /**
     * 修改学校名称
     */
    Boolean updateByBo(SysSchoolNameBo bo);

    /**
     * 校验并批量删除学校名称信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
